WavChunkUnused Class Reference

`#include <WavChunkUnused.h>`

Inheritance diagram for WavChunkUnused:

## Public Member Functions

| WavChunkUnused (void)
| WavChunkUnused (WavChunkHeader *chh)
| WavChunkUnused (WavChunkHeader *chh, BinaryIO *io)
void | read (BinaryIO *io)
void | write (BinaryIO *io)
Public Member Functions inherited from WavChunk
| WavChunk (void)
| WavChunk (WavChunkHeader *chh)
virtual | ~WavChunk (void)

## Private Attributes

std::vector< BYTE > | Data

## Additional Inherited Members

Protected Attributes inherited from WavChunk
WavChunkHeader * | ChunkHeader

## Constructor & Destructor Documentation

## WavChunkUnused() [1/3]

WavChunkUnused::WavChunkUnused | ( | void |  | ) |

inline

## WavChunkUnused() [2/3]

WavChunkUnused::WavChunkUnused | ( | WavChunkHeader * | chh | ) |

inline

## WavChunkUnused() [3/3]

WavChunkUnused::WavChunkUnused | ( | WavChunkHeader * | chh,
|  | BinaryIO * | io )

inline

## Member Function Documentation

## read()

void WavChunkUnused::read | ( | BinaryIO * | io | ) |

virtual

Implements WavChunk.

## write()

void WavChunkUnused::write | ( | BinaryIO * | io | ) |

virtual

Reimplemented from WavChunk.

## Member Data Documentation

## Data

std::vector<BYTE> WavChunkUnused::Data

private

The documentation for this class was generated from the following files:

- WavChunkUnused.h
- WavChunkUnused.cc